Bug 126135 - WorkflowListModelBuilder orders by label twice
Summary: WorkflowListModelBuilder orders by label twice
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-16 15:55 UTC by Brett Prucha
Modified: 2007-04-18 17:08 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 17:18:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brett Prucha 2004-06-16 15:55:48 UTC
Description of problem:

In com.arsdigita.cms.ui.workflow.WorkflowListModelBuilder, the 
builder gets the workflow templates by calling 
section.getWorkflowTemplates() which sets the order to "label asc" 
and then the builder again sets the order to "label".

This is a SQL Server compatibility issue because SQL Server wont let 
you order by the same column more than once.  But also in general it 
doesn't make sense to do this.

Comment 1 Brett Prucha 2004-06-16 19:49:56 UTC
com.arsdigita.cms.ui.workflow.WorkflowsOptionPrintListener is also 
affected by this.

Comment 2 Jon Orris 2006-09-05 17:18:48 UTC
Closing old tickets





Note You need to log in before you can comment on or make changes to this bug.